Imports System.Text

Public Class DropPanel
    Dim filelocs As String = Nothing
    Private Sub DropPanel_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.AllowDrop = True
    End Sub
    Private Sub DropPanel_DragDrop(sender As System.Object, e As System.Windows.Forms.DragEventArgs) Handles Me.DragDrop
        Dim files() As String = e.Data.GetData(DataFormats.FileDrop)
        Dim sb As New StringBuilder
        For Each path In files
            sb.Append(path & "|")
        Next
        filelocs = sb.ToString
        'MsgBox(filelocs)
        TCPComm.TextBox7.Text = filelocs
    End Sub

    Private Sub DropPanel_DragEnter(sender As System.Object, e As System.Windows.Forms.DragEventArgs) Handles Me.DragEnter
        If e.Data.GetDataPresent(DataFormats.FileDrop) Then
            e.Effect = DragDropEffects.Copy
        End If
    End Sub
End Class